## org.apache.axis.wsdl.toJava
Class JavaDeployWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaDeployWriter

All Implemented Interfaces:
  Generator

public class JavaDeployWriter
extends JavaWriter

This is Wsdl2java's deploy Writer. It writes the deploy.wsdd file.

Field Summary
`protected javax.wsdl.Definition` `definition`
`protected SymbolTable` `symbolTable`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`JavaDeployWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable symbolTable)` Constructor.

Method Summary
`void` `generate()` Generate deploy.wsdd.
`protected java.lang.String` `getFileName()` Return the fully-qualified name of the deploy.wsdd file to be generated.
`java.lang.String` `getModeString(byte mode)`
`protected java.io.PrintWriter` `getPrintWriter(java.lang.String filename)` You should not need to override this method.
`protected void` `writeDeployBinding(java.io.PrintWriter pw, BindingEntry bEntry)` Write out deployment instructions for given WSDL binding
`protected void` `writeDeployPort(java.io.PrintWriter pw, javax.wsdl.Port port, javax.wsdl.Service service, BindingEntry bEntry)` Write out deployment and undeployment instructions for given WSDL port
`protected void` `writeDeployServices(java.io.PrintWriter pw)` Write out deployment and undeployment instructions for each WSDL service
`protected void` `writeDeployTypes(java.io.PrintWriter pw, javax.wsdl.Binding binding, boolean hasLiteral, boolean hasMIME, Use use)` Write out bean mappings for each type
`protected void` `writeFileBody(java.io.PrintWriter pw)` Write the body of the deploy.wsdd file.
`protected void` `writeFileHeader(java.io.PrintWriter pw)` Replace the default file header with the deployment doc file header.
`protected void` `writeOperation(java.io.PrintWriter pw, java.lang.String javaOperName, QName elementQName, QName returnQName, QName returnType, Parameters params, QName bindingQName, java.util.ArrayList faults)` Raw routine that writes out the operation and parameters.
`protected void` `writeTypeMapping(java.io.PrintWriter pw, java.lang.String namespaceURI, java.lang.String localPart, java.lang.String javaType, java.lang.String serializerFactory, java.lang.String deserializerFactory, java.lang.String encodingStyle)` Raw routine that writes out the typeMapping.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, isFileGenerated, registerFile, verboseMessage, writeComment, writeFileFooter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected javax.wsdl.Definition definition

### symbolTable

    protected SymbolTable symbolTable

Constructor Detail

### JavaDeployWriter

    public JavaDeployWriter(Emitter emitter,
                            javax.wsdl.Definition definition,
                            SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Generate deploy.wsdd. Only generate it if the emitter is generating server-side mappings.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
    `java.io.IOException`

### getFileName

    protected java.lang.String getFileName()

  Return the fully-qualified name of the deploy.wsdd file to be generated.

  Specified by:
    `getFileName` in class `JavaWriter`

### writeFileHeader

    protected void writeFileHeader(java.io.PrintWriter pw)
                            throws java.io.IOException

  Replace the default file header with the deployment doc file header.

  Overrides:
    `writeFileHeader` in class `JavaWriter`
    `java.io.IOException`

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the deploy.wsdd file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
    `java.io.IOException`

### writeDeployServices

    protected void writeDeployServices(java.io.PrintWriter pw)
                                throws java.io.IOException

  Write out deployment and undeployment instructions for each WSDL service

    `java.io.IOException`

### writeDeployTypes

    protected void writeDeployTypes(java.io.PrintWriter pw,
                                    javax.wsdl.Binding binding,
                                    boolean hasLiteral,
                                    boolean hasMIME,
                                    Use use)
                             throws java.io.IOException

  Write out bean mappings for each type

    `java.io.IOException`

### writeTypeMapping

    protected void writeTypeMapping(java.io.PrintWriter pw,
                                    java.lang.String namespaceURI,
                                    java.lang.String localPart,
                                    java.lang.String javaType,
                                    java.lang.String serializerFactory,
                                    java.lang.String deserializerFactory,
                                    java.lang.String encodingStyle)
                             throws java.io.IOException

  Raw routine that writes out the typeMapping.

    `java.io.IOException`

### writeDeployPort

    protected void writeDeployPort(java.io.PrintWriter pw,
                                   javax.wsdl.Port port,
                                   javax.wsdl.Service service,
                                   BindingEntry bEntry)
                            throws java.io.IOException

  Write out deployment and undeployment instructions for given WSDL port

    `java.io.IOException`

### writeDeployBinding

    protected void writeDeployBinding(java.io.PrintWriter pw,
                                      BindingEntry bEntry)
                               throws java.io.IOException

  Write out deployment instructions for given WSDL binding

    `java.io.IOException`

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  java.lang.String javaOperName,
                                  QName elementQName,
                                  QName returnQName,
                                  QName returnType,
                                  Parameters params,
                                  QName bindingQName,
                                  java.util.ArrayList faults)

  Raw routine that writes out the operation and parameters.

### getModeString

    public java.lang.String getModeString(byte mode)

### getPrintWriter

    protected java.io.PrintWriter getPrintWriter(java.lang.String filename)
                                          throws java.io.IOException

  Description copied from class: `JavaWriter`
  You should not need to override this method. Given the file name, it creates a PrintWriter for it.

  Overrides:
    `getPrintWriter` in class `JavaWriter`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.